## checkmp3 1.98

=== Makefile ===
# Makefile for mp3_check

CC ?= gcc
LOCALBASE ?= /usr/local
CFLAGS += -Wall -Werror
OPT_FLAGS = -L${LOCALBASE}/lib 
OBJS = 	mp3_check.o \
	mp3_check_misc.o

all: trim 

clean:
	rm -f mp3_check *.o core

norm: 	$(OBJS) 
	$(CC) -g $(CFLAGS) $(OBJS) -o mp3_check

trim: 	$(OBJS)
	$(CC) $(CFLAGS) $(OPT_FLAGS) $(OBJS) -o mp3_check
	strip mp3_check
	cat MILESTONE.INTRO

install: all
	install -m 755 -o root -g root mp3_check ${LOCALBASE}/bin

# The FreeBSD Makefile options need a little work, but this will work for now.
freebsd:	mp3_check.c mp3_check.h mp3_check_misc.c	
		$(CC) $(CFLAGS) -I${LOCALBASE}/include $(OPT_FLAGS) -lgnugetopt -o mp3_check mp3_check.c mp3_check_misc.c
		strip mp3_check

freebsd_install:	freebsd
			install -m 755 -o root -g wheel mp3_check ${LOCALBASE}/bin

mp3_check.o:		mp3_check.c
mp3_check_misc.o: 	mp3_check_misc.c

=== debian/changelog ===
checkmp3 (1.98-10) unstable; urgency=low

  * Correct misreported track duration with sampling rates other than
    44.1 kHz.  Fix courtesy KPMueller.  (LP: #500024)
  * When -b does not have a specified value, default to 1 MiB.  This
    prevents the use of uninitialized memory, which in turn had led to
    premature termination.  (LP: #500026)
  * Switch to source format 3.0.
  * Update to policy 3.9.2.
    - Add build-arch/build-indep targets to debian/rules.
  * Add Homepage field.

 -- Nicholas Breen <nbreen@ofb.net>  Tue, 30 Aug 2011 17:07:30 -0700

checkmp3 (1.98-9) unstable; urgency=low

  * Tidy up the remaining references to the original "mp3_check" name in
    the documentation, and add a README.Debian to explain the renaming.
    (Closes: #563048)
  * debian/control: Add ${misc:Depends} and update Standards-Version.

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 27 Feb 2010 11:02:42 -0800

checkmp3 (1.98-8) unstable; urgency=low

  * The "one bug every two years" release.
  * Disable notifications of CRC16 checks, which have not been fully
    implemented and hence would generate false positives.  Thanks to
    Michael Gold for the report.  (Closes: #540573)
  * Correct a minor formatting error in the man page, and mention the
    the CRC problem in BUGS.
  * Update Standards-Version to 3.8.2.  No packaging changes required.
  * Add watch file.  Sure, the last upstream release was almost nine
    years ago, but it never hurts to be prepared.

 -- Nicholas Breen <nbreen@ofb.net>  Sat, 08 Aug 2009 16:50:05 -0700

checkmp3 (1.98-7) unstable; urgency=low

  * Remove redundant strip command from Makefile, which was preventing 
    DEB_BUILD_OPTIONS=nostrip from working properly.  (Closes: #436620)
  * Bump debhelper compatbility level to 5.

 -- Nicholas Breen <nbreen@ofb.net>  Wed,  8 Aug 2007 13:17:01 -0700

checkmp3 (1.98-6) unstable; urgency=low

  * New maintainer.  (Closes: #390863)
  * Update Standards-Version to 3.7.2.  
  * Acknowledge NMUs.  Thanks, Luk.  (Closes: #69143, #227313, #235326,
    #243673, #343418).

 -- Nicholas Breen <nbreen@ofb.net>  Sun,  8 Oct 2006 18:04:39 -0700

checkmp3 (1.98-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Print error message to stderr (Closes: #243673, #343418).
  * Add manpage for checkmp3 (Closes: #69143, #235326).
  * Patch to make an error message more informative (Closes: #227313).

 -- Luk Claes <luk@debian.org>  Tue, 27 Dec 2005 19:13:41 +0100

checkmp3 (1.98-5) unstable; urgency=low

  * Changed executable name in help (closes: #184166).
  * Added Build-Dependency for debhelper (closes: #188904).

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 25 May 2003 00:07:11 +0200

checkmp3 (1.98-4) unstable; urgency=low

  * Removed -Werror from the makefile to avoid compile problems on sparc
    (closes: #83910).

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 25 Feb 2001 15:41:54 +0100

checkmp3 (1.98-3) unstable; urgency=low

  * Applied patch from Paul Slootman <paul@wurtel.net> to fix problems
    when compiling on alpha (closes: #83910).

 -- Norbert Tretkowski <nobse@debian.org>  Sat, 24 Feb 2001 11:14:23 +0100

checkmp3 (1.98-2) unstable; urgency=low

  * Corrected package info (closes: #80231).

 -- Norbert Tretkowski <nobse@debian.org>  Sun, 21 Jan 2001 03:07:41 +0100

checkmp3 (1.98-1) unstable; urgency=low

  * New upstream release (closes: #69538).

 -- Norbert Tretkowski <nobse@nobse.de>  Sat, 16 Sep 2000 10:11:29 +0200

checkmp3 (1.97-3) unstable; urgency=low

  * Renaming the package from mp3check to checkmp3.

 -- Norbert Tretkowski <nobse@nobse.de>  Sun, 10 Sep 2000 22:17:54 +0200

mp3check (1.97-2) unstable; urgency=low

  * Used dh_make instead of debmake.

 -- Norbert Tretkowski <nobse@nobse.de>  Sat, 19 Aug 2000 14:17:47 +0200 

mp3check (1.97-1) unstable; urgency=low

  * New upstream release.

 -- Norbert Tretkowski <nobse@nobse.de>  Sun, 13 Aug 2000 14:07:11 +0200

mp3check (1.95-1) unstable; urgency=low

  * Initial release.

 -- Norbert Tretkowski <nobse@nobse.de>  Sun,  9 Jul 2000 12:45:01 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: checkmp3
Section: sound
Priority: optional
Maintainer: Nicholas Breen <nbreen@ofb.net>
Standards-Version: 3.9.2
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5.0.0)
Homepage: http://sourceforge.net/projects/mp3check

Package: checkmp3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Identify MP3s that do not follow the MP3 format
 mp3_check helps to identify in explicit detail MP3s that do not correctly
 follow the MP3 format. It also looks for invalid frame headers, missing
 frames, etc., and generates useful statistics. This can be useful when
 building a high-quality mp3 archive...

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-arch: build
build-indep: build
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/checkmp3
	mv $(CURDIR)/debian/checkmp3/usr/bin/mp3_check $(CURDIR)/debian/checkmp3/usr/bin/checkmp3


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/checkmp3.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
http://sf.net/mp3check/mp3_check-([\d\.]+)\.tar\.gz
